Loading...
Searching...
No Matches
nonstd::variants::detail::typelist_index_of< typelist< Head, Tail >, T > Struct Template Reference

`#include <variant.hpp>`

## Public Types

enum | V { value = nextVal == -1 ? -1 : 1 + nextVal }

## Private Types

enum | TV { nextVal = typelist_index_of<Tail, T>::value }

## Detailed Description

template<class Head, class Tail, class T>
struct nonstd::variants::detail::typelist_index_of< typelist< Head, Tail >, T >

Definition at line 793 of file variant.hpp.

## Member Enumeration Documentation

## TV

template<class Head , class Tail , class T >

enum nonstd::variants::detail::typelist_index_of< typelist< Head, Tail >, T >::TV

private

Enumerator
nextVal |

Definition at line 796 of file variant.hpp.

## V

template<class Head , class Tail , class T >

enum nonstd::variants::detail::typelist_index_of< typelist< Head, Tail >, T >::V

Enumerator
value |

Definition at line 799 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp